	component DE2i_150_QSYS is
		port (
			clk_clk                              : in    std_logic                     := 'X';             -- clk
			led_export                           : out   std_logic_vector(7 downto 0);                     -- export
			reset_reset_n                        : in    std_logic                     := 'X';             -- reset_n
			flash_tri_state_bridge_out_fs_data   : inout std_logic_vector(15 downto 0) := (others => 'X'); -- fs_data
			flash_tri_state_bridge_out_fl_we_n   : out   std_logic_vector(0 downto 0);                     -- fl_we_n
			flash_tri_state_bridge_out_fl_read_n : out   std_logic_vector(0 downto 0);                     -- fl_read_n
			flash_tri_state_bridge_out_fs_addr   : out   std_logic_vector(25 downto 0);                    -- fs_addr
			flash_tri_state_bridge_out_fl_cs_n   : out   std_logic_vector(0 downto 0)                      -- fl_cs_n
		);
	end component DE2i_150_QSYS;

	u0 : component DE2i_150_QSYS
		port map (
			clk_clk                              => CONNECTED_TO_clk_clk,                              --                        clk.clk
			led_export                           => CONNECTED_TO_led_export,                           --                        led.export
			reset_reset_n                        => CONNECTED_TO_reset_reset_n,                        --                      reset.reset_n
			flash_tri_state_bridge_out_fs_data   => CONNECTED_TO_flash_tri_state_bridge_out_fs_data,   -- flash_tri_state_bridge_out.fs_data
			flash_tri_state_bridge_out_fl_we_n   => CONNECTED_TO_flash_tri_state_bridge_out_fl_we_n,   --                           .fl_we_n
			flash_tri_state_bridge_out_fl_read_n => CONNECTED_TO_flash_tri_state_bridge_out_fl_read_n, --                           .fl_read_n
			flash_tri_state_bridge_out_fs_addr   => CONNECTED_TO_flash_tri_state_bridge_out_fs_addr,   --                           .fs_addr
			flash_tri_state_bridge_out_fl_cs_n   => CONNECTED_TO_flash_tri_state_bridge_out_fl_cs_n    --                           .fl_cs_n
		);

